classification
Title: Some tests in test_socket are not run
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.11, Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: 45212 45228 Superseder:
Assigned To: Nosy List: lukasz.langa, miss-islington, serhiy.storchaka, vstinner
Priority: normal Keywords: patch

Created on 2021-09-13 20:34 by serhiy.storchaka, last changed 2021-09-20 07:56 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 28317 merged serhiy.storchaka, 2021-09-13 20:38
PR 28412 merged miss-islington, 2021-09-17 10:13
PR 28413 merged lukasz.langa, 2021-09-17 10:21
PR 28422 merged serhiy.storchaka, 2021-09-17 18:30
PR 28423 merged miss-islington, 2021-09-17 18:56
PR 28424 merged miss-islington, 2021-09-17 18:56
Messages (10)
msg401725 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2021-09-13 20:34
Test classes ISOTPTest, J1939Test, BasicUDPLITETest, UDPLITETimeoutTest in test_socket are not included in the list of test classes and are not run by regrtest.
msg401732 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2021-09-13 20:46
PR 28317 makes test classes in test_socket be autocollected instead of explicitly enumerated. This will save as from similar errors in future.
msg402004 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2021-09-17 06:58
Running omitted tests exposed some real bugs. See issue45212, issue45228.
msg402031 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-09-17 10:13
New changeset 0361335b80b435ca3694981b41f8269e390eb892 by Serhiy Storchaka in branch 'main':
bpo-45187: Collect test_socket tests using unittest (GH-28317)
https://github.com/python/cpython/commit/0361335b80b435ca3694981b41f8269e390eb892
msg402034 - (view) Author: miss-islington (miss-islington) Date: 2021-09-17 10:34
New changeset 5a5684a14b1417fea27af6b6a89eb7faec7fb80a by Miss Islington (bot) in branch '3.10':
bpo-45187: Collect test_socket tests using unittest (GH-28317)
https://github.com/python/cpython/commit/5a5684a14b1417fea27af6b6a89eb7faec7fb80a
msg402041 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2021-09-17 11:48
New changeset 0f4449ecb0d678984b1343d60c070dcb1bd62e56 by Łukasz Langa in branch '3.9':
[3.9] bpo-45187: Collect test_socket tests using unittest (GH-28317) (GH-28413)
https://github.com/python/cpython/commit/0f4449ecb0d678984b1343d60c070dcb1bd62e56
msg402074 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2021-09-17 18:56
New changeset 51ebb7f4f5e9bdcf8279a1d91be9569706f6bead by Serhiy Storchaka in branch 'main':
bpo-45187: Fix dangling threads in test_socket.CreateServerFunctionalTest (GH-28422)
https://github.com/python/cpython/commit/51ebb7f4f5e9bdcf8279a1d91be9569706f6bead
msg402077 - (view) Author: miss-islington (miss-islington) Date: 2021-09-17 19:16
New changeset 21711d53411e0da5976a9af591cd6ca97033f712 by Miss Islington (bot) in branch '3.10':
bpo-45187: Fix dangling threads in test_socket.CreateServerFunctionalTest (GH-28422)
https://github.com/python/cpython/commit/21711d53411e0da5976a9af591cd6ca97033f712
msg402084 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2021-09-17 19:40
New changeset 6c50f23ae085ec66f320a26a3f0a6c60d7f2b29d by Miss Islington (bot) in branch '3.9':
bpo-45187: Fix dangling threads in test_socket.CreateServerFunctionalTest (GH-28422) (GH-28424)
https://github.com/python/cpython/commit/6c50f23ae085ec66f320a26a3f0a6c60d7f2b29d
msg402207 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-09-20 07:56
> bpo-45187: Collect test_socket tests using unittest (GH-28317)

Nice enhancement! Thanks.

> self.addCleanup(thread.join, self.timeout)

I suggest to use test.support.threading_helper.join_thread() to avoid blocking if the thread raises an exception or never completes. The function has a timeout with a reasonable default value (adapted per buildbot).
History
Date User Action Args
2021-09-20 07:56:00vstinnersetnosy: + vstinner
messages: + msg402207
2021-09-20 07:54:09vstinnerlinkissue14408 superseder
2021-09-17 19:40:50serhiy.storchakasetmessages: + msg402084
2021-09-17 19:16:11miss-islingtonsetmessages: + msg402077
2021-09-17 18:56:54miss-islingtonsetpull_requests: + pull_request26836
2021-09-17 18:56:50miss-islingtonsetpull_requests: + pull_request26835
2021-09-17 18:56:45serhiy.storchakasetmessages: + msg402074
2021-09-17 18:30:33serhiy.storchakasetpull_requests: + pull_request26834
2021-09-17 13:21:30serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-09-17 11:48:58serhiy.storchakasetmessages: + msg402041
2021-09-17 10:34:49miss-islingtonsetmessages: + msg402034
2021-09-17 10:21:03lukasz.langasetpull_requests: + pull_request26825
2021-09-17 10:13:17miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request26824
2021-09-17 10:13:13lukasz.langasetnosy: + lukasz.langa
messages: + msg402031
2021-09-17 07:45:32serhiy.storchakalinkissue45229 dependencies
2021-09-17 06:58:16serhiy.storchakasetmessages: + msg402004
2021-09-17 06:57:18serhiy.storchakasetdependencies: + Stack buffer overflow in parsing J1939 network address
2021-09-15 19:47:25serhiy.storchakasetdependencies: + Dangling threads in skipped tests in test_socket
2021-09-13 20:46:12serhiy.storchakasetmessages: + msg401732
2021-09-13 20:38:51serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request26727
2021-09-13 20:34:45serhiy.storchakacreate